summaryrefslogtreecommitdiff
path: root/tools/ci/jobs
diff options
context:
space:
mode:
authorAndrei Karas <akaras@inbox.ru>2018-09-17 00:56:18 +0300
committerAndrei Karas <akaras@inbox.ru>2018-09-19 23:20:15 +0300
commitf834fe16f68369653e576dea7bac47d36e77e364 (patch)
tree33969c5ec4b59a317987d4f71d0edac213cbca42 /tools/ci/jobs
parent111670f3145dd2e388daf4867955309d056fee75 (diff)
downloadplus-f834fe16f68369653e576dea7bac47d36e77e364.tar.gz
plus-f834fe16f68369653e576dea7bac47d36e77e364.tar.bz2
plus-f834fe16f68369653e576dea7bac47d36e77e364.tar.xz
plus-f834fe16f68369653e576dea7bac47d36e77e364.zip
Add macosx builds with azure pipelines.
Diffstat (limited to 'tools/ci/jobs')
-rwxr-xr-xtools/ci/jobs/xcode.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/tools/ci/jobs/xcode.sh b/tools/ci/jobs/xcode.sh
new file mode 100755
index 000000000..81bb0ff8d
--- /dev/null
+++ b/tools/ci/jobs/xcode.sh
@@ -0,0 +1,11 @@
+#!/bin/bash
+
+uname -a
+sudo xcode-select -switch /Applications/${xcodename} || exit 1
+cd packaging/OSX || exit 1
+./gethttps.sh || exit 1
+cd ../../Xcode || exit 1
+./build.sh || exit 1
+./pack.sh || exit 1
+ls -la build || exit 1
+cp build/manaplus.dmg "${artifacts}/" || exit 1